# arm_dct4_instance_f32 Struct Reference

Instance structure for the floating-point DCT4/IDCT4 function. More...

`#include <arm_math.h>`

## Data Fields

uint16_t | N
uint16_t | Nby2
float32_t | normalize
float32_t * | pTwiddle
float32_t * | pCosFactor
arm_rfft_instance_f32 * | pRfft
arm_cfft_radix4_instance_f32 * | pCfft

## Detailed Description

Instance structure for the floating-point DCT4/IDCT4 function.

Definition at line 2294 of file arm_math.h.

## Field Documentation

uint16_t arm_dct4_instance_f32::N

length of the DCT4.

Definition at line 2296 of file arm_math.h.

uint16_t arm_dct4_instance_f32::Nby2

half of the length of the DCT4.

Definition at line 2297 of file arm_math.h.

float32_t arm_dct4_instance_f32::normalize

normalizing factor.

Definition at line 2298 of file arm_math.h.

float32_t* arm_dct4_instance_f32::pTwiddle

points to the twiddle factor table.

Definition at line 2299 of file arm_math.h.

float32_t* arm_dct4_instance_f32::pCosFactor

points to the cosFactor table.

Definition at line 2300 of file arm_math.h.

arm_rfft_instance_f32* arm_dct4_instance_f32::pRfft

points to the real FFT instance.

Definition at line 2301 of file arm_math.h.

arm_cfft_radix4_instance_f32* arm_dct4_instance_f32::pCfft

points to the complex FFT instance.

Definition at line 2302 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines